
local txt = AddText(nil,'电\n力','unicode_cn_white',{-0.876824*width,0.661944*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,B_Page1_sim)
AddBoxBorder(nil,0.1*width,0.2*height,0.015*width,nil,nil,'DBG_GREEN',nil,nil,txt)

local elecGraphSim = AddSimple(nil,{-0.1*width,0.1*height},nil,B_Page1_sim)
local ac2Border=AddBoxBorder(nil,0.08*width,0.6*height,0.015*width,{0.8*width,0},nil,'DBG_GREEN',nil,nil,elecGraphSim)
--重写层
AddBox(nil,0.065*width,0.6*height-0.015*width,nil,nil,'DBG_RED',DEFAULT_MASK_NOCLIP_LEVEL,REWRITE_LEVEL,ac2Border,nil,nil,true)
--判定层
AddBox(nil,0.065*width,0.6*height-0.015*width,nil,nil,'DBG_RED',DEFAULT_MASK_NOCLIP_LEVEL,INCREASE_IF_LEVEL,ac2Border,nil,nil,true)
--被判定层
AddBox(nil,0.08*width,0.6*height,{0,-1.2*height+0.015*width},nil,'DBG_WHITE',DEFAULT_MASK_LEVEL,COMPARE,ac2Border,
{'AC_VOLTAGE_2'},
{
    {AnimalControllor.moveUpDownUsingParameter,0,0.0284*(1/115)}
}
)
AddText(nil,nil,'unicode_cn_white',{0,0.7*height},nil,DEFAULT_FONT_SIZE[7],nil,nil,ac2Border,{'%.1f'},
{'AC_VOLTAGE_2'},
{
    {AnimalControllor.textUsingParameter,0}
}
)
AddText(nil,'AC 2','unicode_cn_white',{0,-0.75*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,ac2Border)

local ac1Border=AddBoxBorder(nil,0.08*width,0.6*height,0.015*width,{0.4*width,0},nil,'DBG_GREEN',nil,nil,elecGraphSim)
--重写层
AddBox(nil,0.065*width,0.6*height-0.015*width,nil,nil,'DBG_RED',DEFAULT_MASK_NOCLIP_LEVEL,REWRITE_LEVEL,ac1Border,nil,nil,true)
--判定层
AddBox(nil,0.065*width,0.6*height-0.015*width,nil,nil,'DBG_RED',DEFAULT_MASK_NOCLIP_LEVEL,INCREASE_IF_LEVEL,ac1Border,nil,nil,true)
--被判定层
AddBox(nil,0.08*width,0.6*height,{0,-1.2*height+0.015*width},nil,'DBG_WHITE',DEFAULT_MASK_LEVEL,COMPARE,ac1Border,
{'AC_VOLTAGE_1'},
{
    {AnimalControllor.moveUpDownUsingParameter,0,0.0284*(1/115)}
}
)
AddText(nil,nil,'unicode_cn_white',{0,0.7*height},nil,DEFAULT_FONT_SIZE[7],nil,nil,ac1Border,{'%.1f'},
{'AC_VOLTAGE_1'},
{
    {AnimalControllor.textUsingParameter,0}
}
)
AddText(nil,'AC 1','unicode_cn_white',{0,-0.75*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,ac1Border)

local dcBorder = AddBoxBorder(nil,0.08*width,0.6*height,0.015*width,{-0.0*width,0},nil,'DBG_GREEN',nil,nil,elecGraphSim)
--重写层
AddBox(nil,0.065*width,0.6*height-0.015*width,nil,nil,'DBG_RED',DEFAULT_MASK_NOCLIP_LEVEL,REWRITE_LEVEL,dcBorder,nil,nil,true)
--判定层
AddBox(nil,0.065*width,0.6*height-0.015*width,nil,nil,'DBG_RED',DEFAULT_MASK_NOCLIP_LEVEL,INCREASE_IF_LEVEL,dcBorder,nil,nil,true)
--被判定层
AddBox(nil,0.08*width,0.6*height,{0,-1.2*height+0.015*width},nil,'DBG_WHITE',DEFAULT_MASK_LEVEL,COMPARE,dcBorder,
{'DC_VOLTAGE'},
{
    {AnimalControllor.moveUpDownUsingParameter,0,0.0284*(1/115)}
}
)
AddText(nil,nil,'unicode_cn_white',{0,0.7*height},nil,DEFAULT_FONT_SIZE[7],nil,nil,dcBorder,{'%.1f'},
{'DC_VOLTAGE'},
{
    {AnimalControllor.textUsingParameter,0}
}
)
AddText(nil,'DC','unicode_cn_white',{0,-0.75*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,dcBorder)

local batBorder=AddBoxBorder(nil,0.08*width,0.6*height,0.015*width,{-0.4*width,0},nil,'DBG_GREEN',nil,nil,elecGraphSim)
--重写层
AddBox(nil,0.065*width,0.6*height-0.015*width,nil,nil,'DBG_RED',DEFAULT_MASK_NOCLIP_LEVEL,REWRITE_LEVEL,batBorder,nil,nil,true)
--判定层
AddBox(nil,0.065*width,0.6*height-0.015*width,nil,nil,'DBG_RED',DEFAULT_MASK_NOCLIP_LEVEL,INCREASE_IF_LEVEL,batBorder,nil,nil,true)
--被判定层
AddBox(nil,0.08*width,0.6*height,{0,-1.2*height+0.015*width},nil,'DBG_WHITE',DEFAULT_MASK_LEVEL,COMPARE,batBorder,
{'BAT_VOLTAGE'},
{
    {AnimalControllor.moveUpDownUsingParameter,0,0.0284*(1/115)}
}
)
AddText(nil,nil,'unicode_cn_white',{0,0.7*height},nil,DEFAULT_FONT_SIZE[7],nil,nil,batBorder,{'%.1f'},
{'BAT_VOLTAGE'},
{
    {AnimalControllor.textUsingParameter,0}
}
)
AddText(nil,'BAT','unicode_cn_white',{0,-0.75*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,batBorder)

AddMeshPoly(nil,{{-0.766356*width,-0.970537*height},{-0.601763*width,-0.768747*height},{-0.934214*width,-0.768747*height}},{0,1,2},nil,nil,'DBG_WHITE',nil,nil,B_Page1_sim)
AddMeshPoly(nil,{{-0.766356*width,-0.946215*height},{-0.637029*width,-0.783899*height},{-0.901052*width,-0.783899*height}},{0,1,2},nil,nil,'LIGHT_BLUE',nil,nil,B_Page1_sim)

--AddBox(nil,width,height,nil,nil,'DBG_RED',nil,nil,bPage1_sim)